Install tetragon
curl --request POST \
--url https://{host}/api/supervisors/{name}/security/tetragon/install \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"clickhouse": {
"enabled": true,
"replicas": 123,
"retention": "<string>",
"storageClass": "<string>",
"storageSize": "<string>"
},
"flowCollection": {
"enabled": true,
"hubbleOtelEnabled": true
},
"tetragon": {
"enableProcessCred": true,
"enableProcessNs": true,
"enabled": true,
"metricsLabelFilter": "<string>",
"tracingPolicies": [
"<string>"
]
}
}
'import requests
url = "https://{host}/api/supervisors/{name}/security/tetragon/install"
payload = {
"clickhouse": {
"enabled": True,
"replicas": 123,
"retention": "<string>",
"storageClass": "<string>",
"storageSize": "<string>"
},
"flowCollection": {
"enabled": True,
"hubbleOtelEnabled": True
},
"tetragon": {
"enableProcessCred": True,
"enableProcessNs": True,
"enabled": True,
"metricsLabelFilter": "<string>",
"tracingPolicies": ["<string>"]
}
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
clickhouse: {
enabled: true,
replicas: 123,
retention: '<string>',
storageClass: '<string>',
storageSize: '<string>'
},
flowCollection: {enabled: true, hubbleOtelEnabled: true},
tetragon: {
enableProcessCred: true,
enableProcessNs: true,
enabled: true,
metricsLabelFilter: '<string>',
tracingPolicies: ['<string>']
}
})
};
fetch('https://{host}/api/supervisors/{name}/security/tetragon/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/tetragon/install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clickhouse' => [
'enabled' => true,
'replicas' => 123,
'retention' => '<string>',
'storageClass' => '<string>',
'storageSize' => '<string>'
],
'flowCollection' => [
'enabled' => true,
'hubbleOtelEnabled' => true
],
'tetragon' => [
'enableProcessCred' => true,
'enableProcessNs' => true,
'enabled' => true,
'metricsLabelFilter' => '<string>',
'tracingPolicies' => [
'<string>'
]
]
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/tetragon/install"
payload := strings.NewReader("{\n \"clickhouse\": {\n \"enabled\": true,\n \"replicas\": 123,\n \"retention\": \"<string>\",\n \"storageClass\": \"<string>\",\n \"storageSize\": \"<string>\"\n },\n \"flowCollection\": {\n \"enabled\": true,\n \"hubbleOtelEnabled\": true\n },\n \"tetragon\": {\n \"enableProcessCred\": true,\n \"enableProcessNs\": true,\n \"enabled\": true,\n \"metricsLabelFilter\": \"<string>\",\n \"tracingPolicies\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/security/tetragon/install")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"clickhouse\": {\n \"enabled\": true,\n \"replicas\": 123,\n \"retention\": \"<string>\",\n \"storageClass\": \"<string>\",\n \"storageSize\": \"<string>\"\n },\n \"flowCollection\": {\n \"enabled\": true,\n \"hubbleOtelEnabled\": true\n },\n \"tetragon\": {\n \"enableProcessCred\": true,\n \"enableProcessNs\": true,\n \"enabled\": true,\n \"metricsLabelFilter\": \"<string>\",\n \"tracingPolicies\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/tetragon/install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"clickhouse\": {\n \"enabled\": true,\n \"replicas\": 123,\n \"retention\": \"<string>\",\n \"storageClass\": \"<string>\",\n \"storageSize\": \"<string>\"\n },\n \"flowCollection\": {\n \"enabled\": true,\n \"hubbleOtelEnabled\": true\n },\n \"tetragon\": {\n \"enableProcessCred\": true,\n \"enableProcessNs\": true,\n \"enabled\": true,\n \"metricsLabelFilter\": \"<string>\",\n \"tracingPolicies\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"grpcService": "<string>",
"namespace": "<string>",
"policiesApplied": [
"<string>"
],
"policiesRemoved": [
"<string>"
],
"release": "<string>",
"serviceMonitors": {},
"status": "<string>",
"version": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}security
Install tetragon
Tetragon (eBPF runtime observability).
Authorisation: security:Onboard on krn:celum:supervisor:{name}:security:*.
POST
/
api
/
supervisors
/
{name}
/
security
/
tetragon
/
install
Install tetragon
curl --request POST \
--url https://{host}/api/supervisors/{name}/security/tetragon/install \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"clickhouse": {
"enabled": true,
"replicas": 123,
"retention": "<string>",
"storageClass": "<string>",
"storageSize": "<string>"
},
"flowCollection": {
"enabled": true,
"hubbleOtelEnabled": true
},
"tetragon": {
"enableProcessCred": true,
"enableProcessNs": true,
"enabled": true,
"metricsLabelFilter": "<string>",
"tracingPolicies": [
"<string>"
]
}
}
'import requests
url = "https://{host}/api/supervisors/{name}/security/tetragon/install"
payload = {
"clickhouse": {
"enabled": True,
"replicas": 123,
"retention": "<string>",
"storageClass": "<string>",
"storageSize": "<string>"
},
"flowCollection": {
"enabled": True,
"hubbleOtelEnabled": True
},
"tetragon": {
"enableProcessCred": True,
"enableProcessNs": True,
"enabled": True,
"metricsLabelFilter": "<string>",
"tracingPolicies": ["<string>"]
}
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
clickhouse: {
enabled: true,
replicas: 123,
retention: '<string>',
storageClass: '<string>',
storageSize: '<string>'
},
flowCollection: {enabled: true, hubbleOtelEnabled: true},
tetragon: {
enableProcessCred: true,
enableProcessNs: true,
enabled: true,
metricsLabelFilter: '<string>',
tracingPolicies: ['<string>']
}
})
};
fetch('https://{host}/api/supervisors/{name}/security/tetragon/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/security/tetragon/install",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'clickhouse' => [
'enabled' => true,
'replicas' => 123,
'retention' => '<string>',
'storageClass' => '<string>',
'storageSize' => '<string>'
],
'flowCollection' => [
'enabled' => true,
'hubbleOtelEnabled' => true
],
'tetragon' => [
'enableProcessCred' => true,
'enableProcessNs' => true,
'enabled' => true,
'metricsLabelFilter' => '<string>',
'tracingPolicies' => [
'<string>'
]
]
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/security/tetragon/install"
payload := strings.NewReader("{\n \"clickhouse\": {\n \"enabled\": true,\n \"replicas\": 123,\n \"retention\": \"<string>\",\n \"storageClass\": \"<string>\",\n \"storageSize\": \"<string>\"\n },\n \"flowCollection\": {\n \"enabled\": true,\n \"hubbleOtelEnabled\": true\n },\n \"tetragon\": {\n \"enableProcessCred\": true,\n \"enableProcessNs\": true,\n \"enabled\": true,\n \"metricsLabelFilter\": \"<string>\",\n \"tracingPolicies\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/api/supervisors/{name}/security/tetragon/install")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"clickhouse\": {\n \"enabled\": true,\n \"replicas\": 123,\n \"retention\": \"<string>\",\n \"storageClass\": \"<string>\",\n \"storageSize\": \"<string>\"\n },\n \"flowCollection\": {\n \"enabled\": true,\n \"hubbleOtelEnabled\": true\n },\n \"tetragon\": {\n \"enableProcessCred\": true,\n \"enableProcessNs\": true,\n \"enabled\": true,\n \"metricsLabelFilter\": \"<string>\",\n \"tracingPolicies\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/security/tetragon/install")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"clickhouse\": {\n \"enabled\": true,\n \"replicas\": 123,\n \"retention\": \"<string>\",\n \"storageClass\": \"<string>\",\n \"storageSize\": \"<string>\"\n },\n \"flowCollection\": {\n \"enabled\": true,\n \"hubbleOtelEnabled\": true\n },\n \"tetragon\": {\n \"enableProcessCred\": true,\n \"enableProcessNs\": true,\n \"enabled\": true,\n \"metricsLabelFilter\": \"<string>\",\n \"tracingPolicies\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"grpcService": "<string>",
"namespace": "<string>",
"policiesApplied": [
"<string>"
],
"policiesRemoved": [
"<string>"
],
"release": "<string>",
"serviceMonitors": {},
"status": "<string>",
"version": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.
Body
application/json